Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.crd
Class CubeInfoKey

    java.lang.Object
      jet.server.api.crd.CRDInfoKey
          jet.server.api.crd.CubeInfoKey

All Implemented Interfaces:
  java.io.Serializable

    public class CubeInfoKey

extends CRDInfoKey

See Also:
  Serialized Form

Constructor Summary
`CubeInfoKey(java.lang.String catalogPath, java.lang.String dataSource, int queryType, java.lang.String queryName, java.lang.String bvName)` Constructs a Cube information key.

Method Summary
`boolean` | `equals(java.lang.Object obj)` Compares if the parameter object is equal to this one.
`java.lang.String` | `getBVName()` get BV name.
`int` | `hashCode()` Returns a hash code value for the object.
`java.lang.String` | `toStr()`
`java.lang.String` | `toString()` Convert CubeInfoKey to string object.

Methods inherited from class jet.server.api.crd.CRDInfoKey
`getCatalogPath, getDataSource, getQueryName, getQueryType, setCatalogPath, setDataSource, setQueryName, setQueryType`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CubeInfoKey

    public CubeInfoKey(java.lang.String catalogPath,
                       java.lang.String dataSource,
                       int queryType,
                       java.lang.String queryName,
                       java.lang.String bvName)

  Constructs a Cube information key.

  Parameters:
    `catalogPath` - catalog path.
    `dataSource` - data source.
    `queryType` - query type.
    `queryName` - query name.
    `bvName` - BV name

Method Detail

### getBVName

    public java.lang.String getBVName()

  get BV name.

  Returns:
    bv name.

### equals

    public boolean equals(java.lang.Object obj)

  Compares if the parameter object is equal to this one.

  Overrides:
    `equals` in class `CRDInfoKey`
  Parameters:
    `obj` - the object to be compared
  Returns:
    true if the parameter object is equal to this object, otherwise return false.

### toString

    public java.lang.String toString()

  Convert CubeInfoKey to string object.

  Overrides:
    `toString` in class `CRDInfoKey`

### toStr

    public java.lang.String toStr()

  Overrides:
    `toStr` in class `CRDInfoKey`

### hashCode

    public int hashCode()

  Returns a hash code value for the object.

  Overrides:
    `hashCode` in class `CRDInfoKey`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD